Joomla compatible con openbsd??  

 
Fer
 Fer
Usuario activo

Hola!!

No tengo mucho conocimiento sobre esto, pero quisiera saber si Joomla es compatible con un servidor con sistema operativo openbsd?? Un cliente tiene un servidor con esa característica y no sé si tendré algún problema al respecto.

Gracias de antemano

Citar
Respondido : 09/10/2010 5:12 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Fer,

¡Le pegas fuerte! 😉 - Supongo que si estas metido a fondo con OpenBSD tendrás claro que el sistema de paquetes de este SOP es de los más recios y eso supone tener muchas restricciones a la hora de instalar o trabajar con binarios.

Hasta donde se no podrás correr un XAMPP [acrónimo que quiere decir X {para cualquier sistema operativo} A {apache} M {MySQL} P {php} P {Perl}o LAMPP {para Linux} directamente en cuyo caso deberías buscar emular algún binario, e imagino que seria a través de una virtualización o o emulación.

Si consigues superar esta fase luego te quedará el tema de permisos, configuraciones de Apache en local y todo esto si superas con éxito los problemas de sintaxis.

No obstante te cito un "howto" para un OpenBSD 4.7 que "no he probado" (no seria capaz) por si te ayuda a ver un poco como montar en mencionado servidor *AMPP.

- http://blog.charlvn.com/2010/06/lamp-on-openbsd-47.html

Saludos y mucha suerte, y si consigues algo visible, por favor regalanos algunos pantallazos de tan maña y ardua tarea.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 09/10/2010 1:13 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Fer
 Fer
Usuario activo

Hola gnumax,

No estoy metida al fondo con OpenBSD, en realidad 🙁 , es el primer cliente que me llega con un servidor con esa característica. Te cuento que me haz dejado atónita :ohmy: eso es mucho con demasiado para los conocimientos que tengo hasta el momento :S

Según lo que entendi no es posible, si no es a través de una emulación ¿cierto?

Ahora no sé qué hacer, ¿habrá algún gestor de contenidos que si sea compatible directamente?

Gracias por tu pronta respuesta 🙁

ResponderCitar
Respondido : 10/10/2010 6:58 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Fer,

Como ya te comente anteriormente el terreno está complicado, ya que OpenBSD el más recio de la familia de los BSD es a su vez "supuestamente" el más seguro y está calculado para eso mismo, para no permitir que ningún código no verificado3 sea el causante de una inseguridad, lo que deja ya en una posición incómoda aplicaciones binarias como XAMPP o LAMPP en tu caso.

Los propios chicos de ApacheFriends ya dejan claro en su breve lista de sops compatibles en cuales se ha verificado dicha aplicación (grupo de aplicaciones mejor dicho).

* XAMPP for Linux
The distribution for Linux systems (tested for SuSE, RedHat, Mandrake and Debian) contains: Apache, MySQL, PHP & PEAR, Perl, ProFTPD, phpMyAdmin, OpenSSL, GD, Freetype2, libjpeg, libpng, gdbm, zlib, expat, Sablotron, libxml, Ming, Webalizer, pdf class, ncurses, mod_perl, FreeTDS, gettext, mcrypt, mhash, eAccelerator, SQLite and IMAP C-Client.

Como ves no se hace ni la más mínima referencia a sistemas BSD.

Apenas hay documentación en la red, sino personas aisladas que hablan sobre parches, recompliaciones del kernel y cosas similares pero no creo que una empresa que confía "sus sistemas" en OpenBSD de repente se plantee una maquina como servidor con un X/LAMPP.

Quizás seria más viable montar una maquina RHEL o Debian e instalar Apache, PHP, MySQL y confiarle la seguridad a otra máquina como cortafuegos en zona desmilitarizada corriendo OpenBSD que sea la que se encargue de IDS, firewall, proxy, DHCP si procede, IPs dinámicas, etc., y de este modo poder correr lo que tu necesitas para que se ejecute Joomla! con la "seguridad que ellos necesitan a través de un sistema BSD", pero no es tarea fácil.

Aunque bien pensado es más barato contratar estos servicios en servidores o en la nube que andarse liando con una instalación de este tipo.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 10/10/2010 7:43 pm

Cursos Gratuitos WordPress

Fer
 Fer
Usuario activo

Hola gnumax,

Mil gracias. Ya he entendido un poco más, la verdad si es muy complejo para mí en estos momentos 🙁

Antes de cerrar este asunto, tengo otra duda. Si el técnico de mi cliente se encarga de esto y logra la virtualización para instalar el Joomla, tendré muchos problemas con los permisos??

ResponderCitar
Respondido : 11/10/2010 3:04 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Fer,

Depende de como lo haga, si se lo monta con un KVM, VirtualBox, VMWare ESX seguramente tenga problemas para ponerlo a caminar y para que las interfaces emuladas sean reconocidas por el sistema anfitrion, en este caso OpenBSD, si lo pudiese hacer con XEN la gestión de hardware paravirtualizado es más eficiente, pero lamentablemente no esta portado a OpenBSD y todo dependerá de lo que *BSD le deje hacer.

El lider del proyecto nunca ha estado muy de acuerdo con estas cuestiones de la paravirtualización con XEN: http://kerneltrap.org/OpenBSD/Virtualization_Security

Como dije antes, y no es por desanimar, la tarea es dura, no imposible, pero si lo logra se agradecería que lo documente y lo comparta con la comunidad BSD! que estará (-remos) muy agradecida(os).

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 11/10/2010 3:39 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Por favor Iniciar Sesión o Registro